> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare a cross-exchange transfer



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /transfer/prepare
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /transfer/prepare:
    post:
      tags:
        - Transfer
      summary: Prepare a cross-exchange transfer
      operationId: TransferController_prepareTransfer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrepareTransferBodyDto'
      responses:
        '200':
          description: Transfer preparation data
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/HyperliquidTransferResponseDto'
                  - $ref: '#/components/schemas/LighterTransferResponseDto'
                type: object
                discriminator:
                  propertyName: source
                  mapping:
                    hyperliquid:
                      $ref: '#/components/schemas/HyperliquidTransferResponseDto'
                    lighter:
                      $ref: '#/components/schemas/LighterTransferResponseDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    PrepareTransferBodyDto:
      type: object
      properties:
        address:
          description: Custom recipient address on the destination exchange
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        amount:
          type: string
          description: Amount to transfer
        dest:
          type: string
          enum:
            - hyperliquid
            - lighter
            - arbitrum
          description: Destination exchange
        source:
          type: string
          enum:
            - hyperliquid
            - lighter
          description: Source exchange
      required:
        - amount
        - dest
        - source
    HyperliquidTransferResponseDto:
      type: object
      properties:
        exchangeFee:
          type: number
          description: Exchange-specific fee (included in total fee)
        fee:
          type: number
          description: Transfer fee amount
        quoteDataToSign:
          type: object
          properties:
            domain:
              type: object
              properties:
                chainId:
                  type: number
                name:
                  type: string
                verifyingContract:
                  type: string
                  description: Ethereum address
                  example: '0x1234567890abcdef1234567890abcdef12345678'
                version:
                  type: string
              required:
                - name
                - version
            message:
              type: object
              propertyNames:
                type: string
              additionalProperties: {}
            primaryType:
              type: string
            types:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    type:
                      type: string
                  required:
                    - name
                    - type
          required:
            - domain
            - message
            - primaryType
            - types
          description: >-
            EIP-712 typed data authorizing the bridge quote on the destination
            exchange. Always returned, including same-address transfers; sign it
            and pass the result back as quoteSignature on execute.
        source:
          type: string
          enum:
            - hyperliquid
        transferDataToSign:
          type: object
          properties:
            domain:
              type: object
              properties:
                chainId:
                  type: number
                name:
                  type: string
                verifyingContract:
                  type: string
                  description: Ethereum address
                  example: '0x1234567890abcdef1234567890abcdef12345678'
                version:
                  type: string
              required:
                - name
                - version
            message:
              type: object
              propertyNames:
                type: string
              additionalProperties: {}
            primaryType:
              type: string
            types:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    type:
                      type: string
                  required:
                    - name
                    - type
          required:
            - domain
            - message
            - primaryType
            - types
          description: EIP-712 typed data to sign for the transfer
        transferId:
          type: string
          description: Pending transfer identifier
      required:
        - exchangeFee
        - fee
        - quoteDataToSign
        - source
        - transferDataToSign
        - transferId
      title: HyperliquidTransferData
    LighterTransferResponseDto:
      type: object
      properties:
        exchangeFee:
          type: number
          description: Exchange-specific fee (included in total fee)
        fee:
          type: number
          description: Transfer fee amount
        quoteDataToSign:
          type: object
          properties:
            domain:
              type: object
              properties:
                chainId:
                  type: number
                name:
                  type: string
                verifyingContract:
                  type: string
                  description: Ethereum address
                  example: '0x1234567890abcdef1234567890abcdef12345678'
                version:
                  type: string
              required:
                - name
                - version
            message:
              type: object
              propertyNames:
                type: string
              additionalProperties: {}
            primaryType:
              type: string
            types:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    type:
                      type: string
                  required:
                    - name
                    - type
          required:
            - domain
            - message
            - primaryType
            - types
          description: >-
            EIP-712 typed data authorizing the bridge quote on the destination
            exchange. Always returned, including same-address transfers; sign it
            and pass the result back as quoteSignature on execute.
        source:
          type: string
          enum:
            - lighter
        transferDataToSign:
          type: string
          description: EIP-712 typed data to sign for the transfer
        transferId:
          type: string
          description: Pending transfer identifier
      required:
        - exchangeFee
        - fee
        - quoteDataToSign
        - source
        - transferDataToSign
        - transferId
      title: LighterTransferData
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.